package com.dbnt.kcgfilemanager.mapper;

import com.dbnt.kcgfilemanager.model.Board;
import com.dbnt.kcgfilemanager.model.BoardLog;
import com.dbnt.kcgfilemanager.model.HashTag;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BoardMapper {
  List<Board> selectContentList(Board board);
  Integer selectContentListCnt(Board board);
  List<HashTag> selectHashTagListFromContentSeq(Integer contentSeq);
  List<BoardLog> selectBoardLogFromContentSeq(Integer contentSeq);
}
